import { defineConfig } from "astro/config";
import tailwind from "@astrojs/tailwind";
import image from "@astrojs/image";
import sitemap from "@astrojs/sitemap";
import prefetch from "@astrojs/prefetch";
import react from "@astrojs/react";

// https://astro.build/config
export default defineConfig({
  compressHTML: true,
  server: { port: 3000 },
  build: {
    inlineStylesheets: "auto"
  },
  viewTransitions: true,
  integrations: [tailwind({
    config: {
      applyBaseStyles: false
    }
  }), image({
    serviceEntryPoint: "@astrojs/image/sharp"
  }), prefetch({
    selector: "a"
  }), sitemap(), react()]
});