import { CollectionConfig } from 'payload/types';
import { geoPickerField } from "../customFields/geoPicker/field";

const Retailers: CollectionConfig = {
  slug: 'retailers',
  admin: {
    useAsTitle: 'name',
  },
  access: {
    read: () => true,
  },
  fields: [
    {
      name: 'name',
      type: 'text',
      required: true,
    },
    {
      name: 'phoneNumber',
      type: 'text',
      required: false
    }, 
    {
      name: 'email',
      type: 'email',
      required: false
    }, 
    {
      name: 'location',
      type: 'point',
      label: 'Location',
      required: true,
      admin: {
        description: "Get latitude and longitude values for your location with https://www.latlong.net/"
      }
    },
    {
      name: 'admins',
      type: 'relationship',
      relationTo: 'users',
      hasMany: true,
    },
    {
      name: 'stock',
      type: 'relationship',
      relationTo: 'products',
      hasMany: true,
    },
  ],
};

export default Retailers;